PF2E Playlist
  1. #1

    Script error 2e AD&D

    HI all,
    I just started using the 2e rule set for FG. I made a couple of characters a few days ago, and everything went fine. I jumped back on yesterday as I am going to start DMing a game today. But whenever I go to add the proficiencies to the weapons I get this Script Error: [string "common/scripts/combobox_button.lua"]:21: attempt to call field 'refreshButtonDisplay' (a nil value)
    Script Error: [string "common/scripts/combobox_list.lua"]:108: bad argument #-1 to 'setValue' (number expected, got string)
    Script Error: [string "common/scripts/combobox_button.lua"]:21: attempt to call field 'refreshButtonDisplay' (a nil value)
    I am running v3.3.13 Ultimate.
    I already deleted and reloaded the ruleset.
    Any help would be appreciated. I am getting this in both Classic and Unity.

    Thank you
    Attached Images Attached Images

  2. #2
    LordEntrails's Avatar
    Join Date
    May 2015
    Location
    -7 UTC
    Posts
    13,797
    Blog Entries
    9
    Are you using any extensions? Does this still happen if you disable all extensions? Most extensions need to be updated since the last update and need to be updated manually.

  3. #3
    Quote Originally Posted by Gunrsm8 View Post
    HI all,
    I just started using the 2e rule set for FG. I made a couple of characters a few days ago, and everything went fine. I jumped back on yesterday as I am going to start DMing a game today. But whenever I go to add the proficiencies to the weapons I get this Script Error: [string "common/scripts/combobox_button.lua"]:21: attempt to call field 'refreshButtonDisplay' (a nil value)
    Script Error: [string "common/scripts/combobox_list.lua"]:108: bad argument #-1 to 'setValue' (number expected, got string)
    Script Error: [string "common/scripts/combobox_button.lua"]:21: attempt to call field 'refreshButtonDisplay' (a nil value)
    I am running v3.3.13 Ultimate.
    I already deleted and reloaded the ruleset.
    Any help would be appreciated. I am getting this in both Classic and Unity.

    Thank you
    The 2021-02 CoreRPG update changed comboboxes and caused that section to break. I've an update I'll submit next week that "fixes" that ... and by fix I mean, removed that option from the location you are talking about. You are in luck tho because right now the best way to set that value is from the Skill tab, then on the skill itself (click it's gear). From there you select the weapons it applies to.
    ---
    Fantasy Grounds AD&D Content Bundle (All The AD&D Content)
    Documentation for AD&D 2E ruleset.
    My Twitch Channel for AD&D and FG related streams (See schedule for live days)
    My YouTube for FG related Tutorials and AD&D Actual Plays
    Custom Maps (I2, S4, T1-4, Barrowmaze,Lost City of Barakus)
    Note: Please do not message me directly on this site, post in the forums.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Starfinder Playlist

Log in

Log in